Name: rcf
%define v_major 5.2.1
%define v_minor s1
Version: %v_major
Release: alt5%v_minor
%define srcname %name-%v_major%v_minor

Summary: A very secure, fast, and complete ipchains firewall for linux
License: GPL
Group: System/Base
Url: http://rcf.mvlan.net
BuildArch: noarch

Source: %url/dist/dev/%srcname.tar.bz2
Source1: firewall.init
Source2: firewall.logrotate

Patch1: rcf-5.2.1s1-cvs.patch
Patch2: rcf-5.2.1s1-alt-more-actions.patch
Patch3: rcf-5.2.1s1-alt-tracepath.patch
Patch4: rcf-5.2.1s1-alt-dots.patch
Patch5: rcf-5.2.1s1-alt-iana-reserved-networks.patch

Requires(post,preun): chkconfig, ipchains
Provides: firewall

%description
rcf (aka rc.firewall) is an ipchains-based firewall with support for
over 50 network service modules (including vtun, dhcp, nfs, smb,
napster, proxies, online games, etc.), masquerading, port forwarding,
and ip accounting.  All services are self-contained modules which can be
prioritized in the ipchains stack.  Protections include spoofing, stuffed
routing/masqerading, DoS, smurf attacks, outgoing port scans, and many
more. rcf also supports unlimited public, private (masqu'ed), dmz, and
mz (non-masqu'ed) interface and their subnets.  Access rules are defined
per interface and dmz/mz server "clusters".  rcf is compatible with most
of GNU/*/Linux distributions.

%prep
%setup -q -n %srcname
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

%build
# SMP-incompatible.
make

%install
install -pD -m700 sbin/%name $RPM_BUILD_ROOT/sbin/%name
install -pD -m755 %SOURCE1 $RPM_BUILD_ROOT%_initdir/firewall
install -pD -m640 %SOURCE2 $RPM_BUILD_ROOT%_sysconfdir/logrotate.d/firewall

cp -a etc/firewall $RPM_BUILD_ROOT%_sysconfdir/

pushd usr/man
for m in 5 8; do
	for f in *.$m; do
		install -pD -m644 "$f" "$RPM_BUILD_ROOT%_mandir/man$m/$f"
	done
done
popd

install -pD -m600 /dev/null $RPM_BUILD_ROOT%_sysconfdir/firewall.conf
install -pD -m600 /dev/null $RPM_BUILD_ROOT%_logdir/firewall.log

find $RPM_BUILD_ROOT%_sysconfdir/firewall -type d -print0 |
	xargs -r0 chmod 700 --
find $RPM_BUILD_ROOT%_sysconfdir/firewall -type f -print0 |
	xargs -r0 chmod 600 --

%post
if [ $1 = 1 ]; then
	/sbin/chkconfig --add firewall
else
	/sbin/%name --update-config
fi

%preun
%preun_service firewall

%files
/sbin/%name
%_initdir/firewall
%attr(600,root,root) %config(noreplace,missingok) %_sysconfdir/firewall.conf
%config(noreplace) %_sysconfdir/logrotate.d/firewall
%ghost %_logdir/firewall.log
%_mandir/man?/*
%doc ChangeLog FAQ.html INSTALL TODO
%defattr(-,root,root,700)
%_sysconfdir/firewall

%changelog
* Tue Jun 01 2004 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt5s1
- Updated list of IANA Reserved Networks.

* Thu Dec 19 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt4s1
- Added tracepath-servers rules.
- Fixed symlinks permissions.

* Sun Dec 01 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt3s1
- Minor fixes from cvs.
- Patched to support dots in device names.
- Removed dependence on kernel.

* Sat Sep 28 2002 Dmitry V. Levin <ldv@altlinux.org> 5.2.1-alt2s1
- Added pptp to default private set.
- Removed nfs from default public set.
- Minor fixes from cvs.
- Fixed condrestart/condreload target in startup script.

* Mon Apr 29 2002 Dmitry V. Levin <ldv@alt-linux.org> 5.2.1-alt1s1
- 5.2.1s1.
- Added rsync and nfs by default.
- Added deny/ignore rules for {rsync,ftpactv,ftppasv}-clients.

* Fri Oct 05 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.2.1-alt0.2c1
- Added nfs-clients and nfs-servers to public/services by default.

* Wed Sep 19 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.2.1-alt0.1c1
- 5.2.1c1

* Tue Apr 24 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.1.1-alt0.c4
- 5.1.1c4.

* Tue Apr 17 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.1.1-alt0.3
- 5.1.1c3.

* Mon Apr 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.1.1-alt0.2
- 5.1.1c2.

* Fri Apr 13 2001 Dmitry V. Levin <ldv@altlinux.ru> 5.1.1-alt0.1
- Initial revision.
